classification
Title: more tests for pyexpat
Type: behavior Stage:
Components: Tests Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, effbot, fijal, giampaolo.rodola, loewis, pitrou, therve
Priority: normal Keywords: patch

Created on 2008-05-27 16:27 by fijal, last changed 2010-10-05 23:16 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
2922.diff therve, 2008-05-31 11:01 review
Messages (5)
msg67412 - (view) Author: Maciek Fijalkowski (fijal) Date: 2008-05-27 16:27
pyexpat tests are a bit erratic. For example, there is no single test
for handlers for:
NotStandalone, StartDoctypeDecl, EndDoctypeDecl, EntityDecl, XmlDecl,
ElementDecl, AttlistDecl, SkippedEntity.

There is also not a single test for error handling working correctly.

Cheers,
fijal
msg67573 - (view) Author: Thomas Herve (therve) * Date: 2008-05-31 11:01
I attach a first try adding tests for the handlers you mentioned.
msg71317 - (view) Author: Maciek Fijalkowski (fijal) Date: 2008-08-18 09:59
Next wave of tests - error handling. More specifically all errors that
might happen during parsing XML and reported by parser itself.
msg105447 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2010-05-10 16:31
I'm not a xml* modules user but I've tried to apply the patch against the trunk and it seems it still works.
msg118043 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-10-05 23:16
Adapted patch for py3k and applied in r85239.
Maciek, if you have another tests for error handling, please open a new issue.
History
Date User Action Args
2010-10-05 23:16:00amaury.forgeotdarcsetstatus: open -> closed

nosy: + amaury.forgeotdarc
messages: + msg118043

resolution: fixed
2010-05-10 16:31:31giampaolo.rodolasetnosy: + effbot, loewis, giampaolo.rodola

messages: + msg105447
versions: + Python 3.1, Python 2.7, Python 3.2, - Python 3.0
2008-08-18 10:24:17pitrousetpriority: normal
nosy: + pitrou
versions: + Python 3.0
2008-08-18 09:59:51fijalsetmessages: + msg71317
2008-05-31 11:01:25thervesetfiles: + 2922.diff
keywords: + patch
messages: + msg67573
2008-05-27 16:27:06fijalcreate